Name:    cfengine
Summary: A Configuration Management System
Version: 3.12.0
Release: 1%{?dist}
Vendor:  Northern.tech AS
License: GPLv3 and MIT
URL:     https://cfengine.com/product/community/

Source0: https://cfengine-package-repos.s3.amazonaws.com/tarballs/%{name}-%{version}.tar.gz
Source1: https://cfengine-package-repos.s3.amazonaws.com/tarballs/%{name}-masterfiles-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: pcre-devel
BuildRequires: libxml2-devel
BuildRequires: lmdb-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: libacl-devel
BuildRequires: libyaml-devel
BuildRequires: curl-devel
BuildRequires: libvirt-devel
BuildRequires: avahi-devel

%description
A standalone, open-source data center management platform run by leading
enterprises since 1993. Customize your IT systems, align to network, business
and regulatory needs, monitor problems, automatically repair and maintain
systems.

%prep
%setup -q
%setup -q -T -D -b 1

%build
%define master_dir %{_datadir}/cfengine

cd %{_builddir}/%{name}-%{version}
%configure --enable-fhs --with-masterdir=%{master_dir}/masterfiles --with-systemd-service
%{__make} %{?_smp_mflags}

cd %{_builddir}/%{name}-masterfiles-%{version}
%configure --prefix=%{master_dir}

%install
cd %{_builddir}/%{name}-%{version}
%{make_install}
find %{buildroot} -type f -name "*.la" | xargs %{__rm}

cd %{_builddir}/%{name}-masterfiles-%{version}
%{make_install}

%post
/sbin/ldconfig
%{_bindir}/cf-key
cp -r %{master_dir}/modules/packages %{_sharedstatedir}/%{name}/modules/
chmod u+x %{_sharedstatedir}/%{name}/modules/packages/*

%postun
/sbin/ldconfig

%files
# executables
%{_bindir}/cf-agent
%{_bindir}/cf-execd
%{_bindir}/cf-key
%{_bindir}/cf-monitord
%{_bindir}/cf-net
%{_bindir}/cf-promises
%{_bindir}/cf-runagent
%{_bindir}/cf-serverd
%{_bindir}/cf-upgrade
%{_bindir}/rpmvercmp

# libraries
%{_libdir}/%{name}/libpromises.so*

# systemd units
%{_unitdir}/cfengine3.service
%{_unitdir}/cf-apache.service
%{_unitdir}/cf-execd.service
%{_unitdir}/cf-hub.service
%{_unitdir}/cf-monitord.service
%{_unitdir}/cf-postgres.service
%{_unitdir}/cf-runalerts.service
%{_unitdir}/cf-serverd.service

# private directories
%dir %{_sharedstatedir}/%{name}/inputs
%dir %{_sharedstatedir}/%{name}/modules
%dir %{_sharedstatedir}/%{name}/outputs
%dir %{_sharedstatedir}/%{name}/ppkeys

# docs
%docdir %{_docdir}/%{name}
%{_docdir}/%{name}

# masterfiles
%{master_dir}

%changelog
* Thu Jul 05 2018 Vratislav Podzimek <vratislav.podzimek@nothern.tech> - 3.12.0-1
- Initial package version
